package labss.lang.il.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.il.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.il.visitors.IILVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.il.reflect.ILEntityDescriptorEnum;

/** 
 * @generator Whole
 */
public class BooleanLiteralAdapter extends AbstractEntityAdapter implements
		BooleanLiteral {
	private static final long serialVersionUID = 1;

	public BooleanLiteralAdapter(IEntity implementor) {
		super(implementor);
	}

	public BooleanLiteralAdapter() {
	}

	public void accept(IILVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<BooleanLiteral> wGetEntityDescriptor() {
		return ILEntityDescriptorEnum.BooleanLiteral;
	}

	public boolean isValue() {
		return wBooleanValue();
	}

	public void setValue(boolean value) {
		wSetValue(value);
	}
}
