package labss.lang.il.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.il.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.il.visitors.IILVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.il.reflect.ILEntityDescriptorEnum;

/** 
 * @generator Whole
 */
public class IntLiteralAdapter extends AbstractEntityAdapter implements
		IntLiteral {
	private static final long serialVersionUID = 1;

	public IntLiteralAdapter(IEntity implementor) {
		super(implementor);
	}

	public IntLiteralAdapter() {
	}

	public void accept(IILVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<IntLiteral> wGetEntityDescriptor() {
		return ILEntityDescriptorEnum.IntLiteral;
	}

	public int getValue() {
		return wIntValue();
	}

	public void setValue(int value) {
		wSetValue(value);
	}
}
