package labss.lang.il.model.impl;

import org.whole.lang.factories.AbstractEntityRegistry;
import labss.lang.il.reflect.ILEntityDescriptorEnum;

/** 
 * @generator Whole
 */
public class ILImplEntityRegistry extends AbstractEntityRegistry {
	public ILImplEntityRegistry() {
		super(ILEntityDescriptorEnum.instance);
	}

	protected void createPrototypes() {
		put(new BlockStatementImpl());
		put(new IfStatementImpl());
		put(new IfElseStatementImpl());
		put(new WhileStatementImpl());
		put(new AssignmentStatementImpl());
		put(new BooleanLiteralImpl());
		put(new IntLiteralImpl());
		put(new VariableImpl());
		put(new AdditionImpl());
		put(new SubtractionImpl());
		put(new MultiplicationImpl());
		put(new DivisionImpl());
		put(new AndImpl());
		put(new OrImpl());
		put(new NotImpl());
		put(new EqualsImpl());
		put(new LessThanImpl());
		put(new GreaterThanImpl());
	}
}
