package labss.lang.il.model.impl;

import org.whole.lang.model.AbstractDataEntity;
import labss.lang.il.model.*;
import labss.lang.il.visitors.IILVisitor;
import labss.lang.il.reflect.ILEntityDescriptorEnum;
import org.whole.lang.reflect.EntityDescriptor;

/** 
 * @generator Whole
 */
public class VariableImpl extends AbstractDataEntity implements Variable {
	private static final long serialVersionUID = 1;
	private String value;

	public String getValue() {
		return notifyRequested(value);
	}

	public void setValue(String value) {
		notifyChanged(this.value, this.value = value);
	}

	public void accept(IILVisitor visitor) {
		visitor.visit(this);
	}

	public int wGetEntityOrd() {
		return ILEntityDescriptorEnum.Variable_ord;
	}

	public EntityDescriptor<Variable> wGetEntityDescriptor() {
		return ILEntityDescriptorEnum.Variable;
	}

	public Object wGetValue() {
		return getValue();
	}

	public void wSetValue(Object value) {
		setValue((String) value);
	}

	public String wStringValue() {
		return getValue();
	}

	public void wSetValue(String value) {
		setValue(value);
	}
}
