package labss.lang.il.reflect;

import org.whole.lang.reflect.AbstractLanguageKit;
import org.whole.lang.reflect.EntityDescriptorEnum;
import org.whole.lang.reflect.FeatureDescriptorEnum;
import org.whole.lang.factories.IEntityRegistry;
import labss.lang.il.model.impl.ILImplEntityRegistry;
import labss.lang.il.model.impl.ILStrictImplEntityRegistry;
import labss.lang.il.model.adapters.ILAdaptersEntityRegistry;
import org.whole.lang.templates.ITemplateManager;

/** 
 * @generator Whole
 */
public class ILLanguageKit extends AbstractLanguageKit {
	public static final String ID = ILLanguageKit.class.getName();

	public String getId() {
		return ID;
	}

	public String getURI() {
		return "http://lang.labss/IL";
	}

	public String getVersion() {
		return "20080522T1012Z";
	}

	public String getName() {
		return "IL";
	}

	public EntityDescriptorEnum getEntityDescriptorEnum() {
		return ILEntityDescriptorEnum.instance;
	}

	public FeatureDescriptorEnum getFeatureDescriptorEnum() {
		return ILFeatureDescriptorEnum.instance;
	}

	protected IEntityRegistry createImplEntityRegistry() {
		return new ILImplEntityRegistry();
	}

	protected IEntityRegistry createStrictImplEntityRegistry() {
		return new ILStrictImplEntityRegistry();
	}

	protected IEntityRegistry createAdaptersEntityRegistry() {
		return new ILAdaptersEntityRegistry();
	}

	public ITemplateManager getTemplateManager() {
		return ILTemplateManager.instance();
	}
}
