package labss.lang.il.visitors;

import labss.lang.il.model.*;
import org.whole.lang.visitors.IUnaryVisitor;
import org.whole.lang.visitors.IVisitor;

/** 
 * @generator Whole
 */
public class ILTraverseAllVisitor extends ILIdentityVisitor implements
		IUnaryVisitor {
	protected IILVisitor visitor1;

	public void wSetVisitor1(IVisitor visitor1) {
		this.visitor1 = (IILVisitor) visitor1;
	}

	public ILTraverseAllVisitor() {
		wSetVisitor1(this);
	}

	public ILTraverseAllVisitor(IVisitor visitor1) {
		wSetVisitor1(visitor1);
	}

	public void visit(BlockStatement entity) {
		for (int i = 0; i < entity.wSize(); i++)
			((Statement) entity.wGet(i)).accept(visitor1);
	}

	public void visit(IfStatement entity) {
		entity.getCondition().accept(visitor1);
		entity.getTrueBody().accept(visitor1);
	}

	public void visit(IfElseStatement entity) {
		entity.getCondition().accept(visitor1);
		entity.getTrueBody().accept(visitor1);
		entity.getFalseBody().accept(visitor1);
	}

	public void visit(WhileStatement entity) {
		entity.getCondition().accept(visitor1);
		entity.getTrueBody().accept(visitor1);
	}

	public void visit(AssignmentStatement entity) {
		entity.getVariable().accept(visitor1);
		entity.getExpression().accept(visitor1);
	}

	public void visit(Addition entity) {
		entity.getExp1().accept(visitor1);
		entity.getExp2().accept(visitor1);
	}

	public void visit(Subtraction entity) {
		entity.getExp1().accept(visitor1);
		entity.getExp2().accept(visitor1);
	}

	public void visit(Multiplication entity) {
		entity.getExp1().accept(visitor1);
		entity.getExp2().accept(visitor1);
	}

	public void visit(Division entity) {
		entity.getExp1().accept(visitor1);
		entity.getExp2().accept(visitor1);
	}

	public void visit(And entity) {
		entity.getExp1().accept(visitor1);
		entity.getExp2().accept(visitor1);
	}

	public void visit(Or entity) {
		entity.getExp1().accept(visitor1);
		entity.getExp2().accept(visitor1);
	}

	public void visit(Not entity) {
		entity.getExp().accept(visitor1);
	}

	public void visit(Equals entity) {
		entity.getExp1().accept(visitor1);
		entity.getExp2().accept(visitor1);
	}

	public void visit(LessThan entity) {
		entity.getExp1().accept(visitor1);
		entity.getExp2().accept(visitor1);
	}

	public void visit(GreaterThan entity) {
		entity.getExp1().accept(visitor1);
		entity.getExp2().accept(visitor1);
	}
}
