package labss.lang.motomondiale.builders;

import org.whole.lang.contexts.EntityContext;
import org.whole.lang.model.IEntity;
import labss.lang.motomondiale.reflect.MotoMondialeFeatureDescriptorEnum;

/** 
 * @generator Whole
 */
public class MotoMondialeModelContext extends EntityContext {
	public MotoMondialeModelContext(IEntity root) {
		super(root);
	}

	public MotoMondialeModelContext getCalendario() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.calendario);
	}

	public void setCalendario(MotoMondialeModelContext calendario) {
		wSet(MotoMondialeFeatureDescriptorEnum.calendario, calendario);
	}

	public MotoMondialeModelContext getCircuiti() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.circuiti);
	}

	public void setCircuiti(MotoMondialeModelContext circuiti) {
		wSet(MotoMondialeFeatureDescriptorEnum.circuiti, circuiti);
	}

	public MotoMondialeModelContext getTeams() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.teams);
	}

	public void setTeams(MotoMondialeModelContext teams) {
		wSet(MotoMondialeFeatureDescriptorEnum.teams, teams);
	}

	public MotoMondialeModelContext getClassifiche() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.classifiche);
	}

	public void setClassifiche(MotoMondialeModelContext classifiche) {
		wSet(MotoMondialeFeatureDescriptorEnum.classifiche, classifiche);
	}

	public MotoMondialeModelContext getNomeCircuito() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.nomeCircuito);
	}

	public void setNomeCircuito(MotoMondialeModelContext nomeCircuito) {
		wSet(MotoMondialeFeatureDescriptorEnum.nomeCircuito, nomeCircuito);
	}

	public MotoMondialeModelContext getData() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.data);
	}

	public void setData(MotoMondialeModelContext data) {
		wSet(MotoMondialeFeatureDescriptorEnum.data, data);
	}

	public MotoMondialeModelContext getOrdineDArrivo() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.ordineDArrivo);
	}

	public void setOrdineDArrivo(MotoMondialeModelContext ordineDArrivo) {
		wSet(MotoMondialeFeatureDescriptorEnum.ordineDArrivo, ordineDArrivo);
	}

	public MotoMondialeModelContext getNome() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.nome);
	}

	public void setNome(MotoMondialeModelContext nome) {
		wSet(MotoMondialeFeatureDescriptorEnum.nome, nome);
	}

	public MotoMondialeModelContext getLuogo() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.luogo);
	}

	public void setLuogo(MotoMondialeModelContext luogo) {
		wSet(MotoMondialeFeatureDescriptorEnum.luogo, luogo);
	}

	public MotoMondialeModelContext getLunghezzaTracciato() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.lunghezzaTracciato);
	}

	public void setLunghezzaTracciato(
			MotoMondialeModelContext lunghezzaTracciato) {
		wSet(MotoMondialeFeatureDescriptorEnum.lunghezzaTracciato,
				lunghezzaTracciato);
	}

	public MotoMondialeModelContext getCurveADestra() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.curveADestra);
	}

	public void setCurveADestra(MotoMondialeModelContext curveADestra) {
		wSet(MotoMondialeFeatureDescriptorEnum.curveADestra, curveADestra);
	}

	public MotoMondialeModelContext getCurveASinistra() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.curveASinistra);
	}

	public void setCurveASinistra(MotoMondialeModelContext curveASinistra) {
		wSet(MotoMondialeFeatureDescriptorEnum.curveASinistra, curveASinistra);
	}

	public MotoMondialeModelContext getGiri() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.giri);
	}

	public void setGiri(MotoMondialeModelContext giri) {
		wSet(MotoMondialeFeatureDescriptorEnum.giri, giri);
	}

	public MotoMondialeModelContext getCostruttore() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.costruttore);
	}

	public void setCostruttore(MotoMondialeModelContext costruttore) {
		wSet(MotoMondialeFeatureDescriptorEnum.costruttore, costruttore);
	}

	public MotoMondialeModelContext getPilota1() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.pilota1);
	}

	public void setPilota1(MotoMondialeModelContext pilota1) {
		wSet(MotoMondialeFeatureDescriptorEnum.pilota1, pilota1);
	}

	public MotoMondialeModelContext getPilota2() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.pilota2);
	}

	public void setPilota2(MotoMondialeModelContext pilota2) {
		wSet(MotoMondialeFeatureDescriptorEnum.pilota2, pilota2);
	}

	public MotoMondialeModelContext getNumero() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.numero);
	}

	public void setNumero(MotoMondialeModelContext numero) {
		wSet(MotoMondialeFeatureDescriptorEnum.numero, numero);
	}

	public MotoMondialeModelContext getClassificati() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.classificati);
	}

	public void setClassificati(MotoMondialeModelContext classificati) {
		wSet(MotoMondialeFeatureDescriptorEnum.classificati, classificati);
	}

	public MotoMondialeModelContext getPunti() {
		return (MotoMondialeModelContext) wGet(MotoMondialeFeatureDescriptorEnum.punti);
	}

	public void setPunti(MotoMondialeModelContext punti) {
		wSet(MotoMondialeFeatureDescriptorEnum.punti, punti);
	}
}
