package labss.lang.motomondiale.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.motomondiale.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import labss.lang.motomondiale.reflect.MotoMondialeFeatureDescriptorEnum;

/** 
 * @generator Whole
 */
public class CircuitoAdapter extends AbstractEntityAdapter implements Circuito {
	private static final long serialVersionUID = 1;

	public CircuitoAdapter(IEntity implementor) {
		super(implementor);
	}

	public CircuitoAdapter() {
	}

	public void accept(IMotoMondialeVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<Circuito> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.Circuito;
	}

	public Nome getNome() {
		return (Nome) wGet(MotoMondialeFeatureDescriptorEnum.nome);
	}

	public void setNome(Nome nome) {
		wSet(MotoMondialeFeatureDescriptorEnum.nome, nome);
	}

	public Nome getLuogo() {
		return (Nome) wGet(MotoMondialeFeatureDescriptorEnum.luogo);
	}

	public void setLuogo(Nome luogo) {
		wSet(MotoMondialeFeatureDescriptorEnum.luogo, luogo);
	}

	public Numero getLunghezzaTracciato() {
		return (Numero) wGet(MotoMondialeFeatureDescriptorEnum.lunghezzaTracciato);
	}

	public void setLunghezzaTracciato(Numero lunghezzaTracciato) {
		wSet(MotoMondialeFeatureDescriptorEnum.lunghezzaTracciato,
				lunghezzaTracciato);
	}

	public Numero getCurveADestra() {
		return (Numero) wGet(MotoMondialeFeatureDescriptorEnum.curveADestra);
	}

	public void setCurveADestra(Numero curveADestra) {
		wSet(MotoMondialeFeatureDescriptorEnum.curveADestra, curveADestra);
	}

	public Numero getCurveASinistra() {
		return (Numero) wGet(MotoMondialeFeatureDescriptorEnum.curveASinistra);
	}

	public void setCurveASinistra(Numero curveASinistra) {
		wSet(MotoMondialeFeatureDescriptorEnum.curveASinistra, curveASinistra);
	}

	public Numero getGiri() {
		return (Numero) wGet(MotoMondialeFeatureDescriptorEnum.giri);
	}

	public void setGiri(Numero giri) {
		wSet(MotoMondialeFeatureDescriptorEnum.giri, giri);
	}
}
