package labss.lang.motomondiale.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.motomondiale.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import labss.lang.motomondiale.reflect.MotoMondialeFeatureDescriptorEnum;

/** 
 * @generator Whole
 */
public class MotoMondialeAdapter extends AbstractEntityAdapter implements
		MotoMondiale {
	private static final long serialVersionUID = 1;

	public MotoMondialeAdapter(IEntity implementor) {
		super(implementor);
	}

	public MotoMondialeAdapter() {
	}

	public void accept(IMotoMondialeVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<MotoMondiale> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.MotoMondiale;
	}

	public Calendario getCalendario() {
		return (Calendario) wGet(MotoMondialeFeatureDescriptorEnum.calendario);
	}

	public void setCalendario(Calendario calendario) {
		wSet(MotoMondialeFeatureDescriptorEnum.calendario, calendario);
	}

	public Circuiti getCircuiti() {
		return (Circuiti) wGet(MotoMondialeFeatureDescriptorEnum.circuiti);
	}

	public void setCircuiti(Circuiti circuiti) {
		wSet(MotoMondialeFeatureDescriptorEnum.circuiti, circuiti);
	}

	public Teams getTeams() {
		return (Teams) wGet(MotoMondialeFeatureDescriptorEnum.teams);
	}

	public void setTeams(Teams teams) {
		wSet(MotoMondialeFeatureDescriptorEnum.teams, teams);
	}

	public Classifiche getClassifiche() {
		return (Classifiche) wGet(MotoMondialeFeatureDescriptorEnum.classifiche);
	}

	public void setClassifiche(Classifiche classifiche) {
		wSet(MotoMondialeFeatureDescriptorEnum.classifiche, classifiche);
	}
}
