package labss.lang.motomondiale.model.impl;

import org.whole.lang.model.AbstractSimpleEntity;
import labss.lang.motomondiale.model.*;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeFeatureDescriptorEnum;
import org.whole.lang.model.IEntity;

/** 
 * @generator Whole
 */
public class MotoMondialeImpl extends AbstractSimpleEntity implements
		MotoMondiale {
	private static final long serialVersionUID = 1;

	public void accept(IMotoMondialeVisitor visitor) {
		visitor.visit(this);
	}

	public int wGetEntityOrd() {
		return MotoMondialeEntityDescriptorEnum.MotoMondiale_ord;
	}

	public EntityDescriptor<MotoMondiale> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.MotoMondiale;
	}

	private Calendario calendario;

	public Calendario getCalendario() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.calendario,
				calendario);
	}

	public void setCalendario(Calendario calendario) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.calendario,
				this.calendario, this.calendario = calendario);
	}

	public IEntity wGet(int index) {
		switch (index) {
		case 0:
			return getCalendario();
		case 1:
			return getCircuiti();
		case 2:
			return getTeams();
		case 3:
			return getClassifiche();
		default:
			throw new IllegalArgumentException();
		}
	}

	public void wSet(int index, IEntity value) {
		switch (index) {
		case 0:
			setCalendario(value
					.wGetAdapter(MotoMondialeEntityDescriptorEnum.Calendario));
			break;
		case 1:
			setCircuiti(value
					.wGetAdapter(MotoMondialeEntityDescriptorEnum.Circuiti));
			break;
		case 2:
			setTeams(value.wGetAdapter(MotoMondialeEntityDescriptorEnum.Teams));
			break;
		case 3:
			setClassifiche(value
					.wGetAdapter(MotoMondialeEntityDescriptorEnum.Classifiche));
			break;
		default:
			throw new IllegalArgumentException();
		}
	}

	private Circuiti circuiti;

	public Circuiti getCircuiti() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.circuiti,
				circuiti);
	}

	public void setCircuiti(Circuiti circuiti) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.circuiti,
				this.circuiti, this.circuiti = circuiti);
	}

	private Teams teams;

	public Teams getTeams() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.teams, teams);
	}

	public void setTeams(Teams teams) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.teams, this.teams,
				this.teams = teams);
	}

	private Classifiche classifiche;

	public Classifiche getClassifiche() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.classifiche,
				classifiche);
	}

	public void setClassifiche(Classifiche classifiche) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.classifiche,
				this.classifiche, this.classifiche = classifiche);
	}

	public int wSize() {
		return 4;
	}
}
