package labss.lang.motomondiale.visitors;

import labss.lang.motomondiale.model.*;
import org.whole.lang.visitors.IUnaryVisitor;
import org.whole.lang.visitors.IVisitor;

/** 
 * @generator Whole
 */
public class MotoMondialeTraverseAllSwitchVisitor extends
		MotoMondialeIdentityVisitor implements IUnaryVisitor {
	protected IVisitor visitor1;

	public void wSetVisitor1(IVisitor visitor1) {
		this.visitor1 = visitor1;
	}

	public MotoMondialeTraverseAllSwitchVisitor(IVisitor visitor1) {
		wSetVisitor1(visitor1);
	}

	public void visit(MotoMondiale entity) {
		visitor1.visit(entity.getCalendario());
		visitor1.visit(entity.getCircuiti());
		visitor1.visit(entity.getTeams());
		visitor1.visit(entity.getClassifiche());
	}

	public void visit(Calendario entity) {
		for (int i = 0; i < entity.wSize(); i++)
			visitor1.visit(entity.wGet(i));
	}

	public void visit(Gara entity) {
		visitor1.visit(entity.getNomeCircuito());
		visitor1.visit(entity.getData());
		visitor1.visit(entity.getOrdineDArrivo());
	}

	public void visit(OrdineDArrivo entity) {
		for (int i = 0; i < entity.wSize(); i++)
			visitor1.visit(entity.wGet(i));
	}

	public void visit(Circuiti entity) {
		for (int i = 0; i < entity.wSize(); i++)
			visitor1.visit(entity.wGet(i));
	}

	public void visit(Circuito entity) {
		visitor1.visit(entity.getNome());
		visitor1.visit(entity.getLuogo());
		visitor1.visit(entity.getLunghezzaTracciato());
		visitor1.visit(entity.getCurveADestra());
		visitor1.visit(entity.getCurveASinistra());
		visitor1.visit(entity.getGiri());
	}

	public void visit(Teams entity) {
		for (int i = 0; i < entity.wSize(); i++)
			visitor1.visit(entity.wGet(i));
	}

	public void visit(Team entity) {
		visitor1.visit(entity.getNome());
		visitor1.visit(entity.getCostruttore());
		visitor1.visit(entity.getPilota1());
		visitor1.visit(entity.getPilota2());
	}

	public void visit(Pilota entity) {
		visitor1.visit(entity.getNome());
		visitor1.visit(entity.getNumero());
	}

	public void visit(Classifiche entity) {
		for (int i = 0; i < entity.wSize(); i++)
			visitor1.visit(entity.wGet(i));
	}

	public void visit(Classifica entity) {
		visitor1.visit(entity.getNome());
		visitor1.visit(entity.getClassificati());
	}

	public void visit(Classificati entity) {
		for (int i = 0; i < entity.wSize(); i++)
			visitor1.visit(entity.wGet(i));
	}

	public void visit(Classificato entity) {
		visitor1.visit(entity.getNome());
		visitor1.visit(entity.getPunti());
	}
}
