package labss.lang.regexp.model.adapters;

import org.whole.lang.factories.AbstractEntityRegistry;
import labss.lang.regexp.reflect.RegExpEntityDescriptorEnum;

/** 
 * @generator Whole
 */
public class RegExpAdaptersEntityRegistry extends AbstractEntityRegistry {
	public RegExpAdaptersEntityRegistry() {
		super(RegExpEntityDescriptorEnum.instance);
	}

	protected void createPrototypes() {
		put(new RegExpAdapter());
		put(new SequenceExpAdapter());
		put(new AlternationExpAdapter());
		put(new RepetitionExpAdapter());
		put(new LiteralExpAdapter());
	}
}
