package labss.lang.regexp.model.impl;

import org.whole.lang.model.AbstractSimpleEntity;
import labss.lang.regexp.model.*;
import labss.lang.regexp.visitors.IRegExpVisitor;
import labss.lang.regexp.reflect.RegExpEntityDescriptorEnum;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.regexp.reflect.RegExpFeatureDescriptorEnum;
import org.whole.lang.model.IEntity;

/** 
 * @generator Whole
 */
public class SequenceExpImpl extends AbstractSimpleEntity implements
		SequenceExp {
	private static final long serialVersionUID = 1;

	public void accept(IRegExpVisitor visitor) {
		visitor.visit(this);
	}

	public int wGetEntityOrd() {
		return RegExpEntityDescriptorEnum.SequenceExp_ord;
	}

	public EntityDescriptor<SequenceExp> wGetEntityDescriptor() {
		return RegExpEntityDescriptorEnum.SequenceExp;
	}

	private RegExp exp1;

	public RegExp getExp1() {
		return notifyRequested(RegExpFeatureDescriptorEnum.exp1, exp1);
	}

	public void setExp1(RegExp exp1) {
		notifyChanged(RegExpFeatureDescriptorEnum.exp1, this.exp1,
				this.exp1 = exp1);
	}

	public IEntity wGet(int index) {
		switch (index) {
		case 0:
			return getExp1();
		case 1:
			return getExp2();
		default:
			throw new IllegalArgumentException();
		}
	}

	public void wSet(int index, IEntity value) {
		switch (index) {
		case 0:
			setExp1(value.wGetAdapter(RegExpEntityDescriptorEnum.RegExp));
			break;
		case 1:
			setExp2(value.wGetAdapter(RegExpEntityDescriptorEnum.RegExp));
			break;
		default:
			throw new IllegalArgumentException();
		}
	}

	private RegExp exp2;

	public RegExp getExp2() {
		return notifyRequested(RegExpFeatureDescriptorEnum.exp2, exp2);
	}

	public void setExp2(RegExp exp2) {
		notifyChanged(RegExpFeatureDescriptorEnum.exp2, this.exp2,
				this.exp2 = exp2);
	}

	public int wSize() {
		return 2;
	}
}
