package labss.lang.regexp.reflect;

import org.whole.lang.reflect.AbstractLanguageKit;
import org.whole.lang.reflect.EntityDescriptorEnum;
import org.whole.lang.reflect.FeatureDescriptorEnum;
import org.whole.lang.factories.IEntityRegistry;
import labss.lang.regexp.model.impl.RegExpImplEntityRegistry;
import labss.lang.regexp.model.impl.RegExpStrictImplEntityRegistry;
import labss.lang.regexp.model.adapters.RegExpAdaptersEntityRegistry;
import org.whole.lang.templates.ITemplateManager;

/** 
 * @generator Whole
 */
public class RegExpLanguageKit extends AbstractLanguageKit {
	public static final String ID = RegExpLanguageKit.class.getName();

	public String getId() {
		return ID;
	}

	public String getURI() {
		return "http://lang.labss/RegExp";
	}

	public String getVersion() {
		return "20080520T1442Z";
	}

	public String getName() {
		return "RegExp";
	}

	public EntityDescriptorEnum getEntityDescriptorEnum() {
		return RegExpEntityDescriptorEnum.instance;
	}

	public FeatureDescriptorEnum getFeatureDescriptorEnum() {
		return RegExpFeatureDescriptorEnum.instance;
	}

	protected IEntityRegistry createImplEntityRegistry() {
		return new RegExpImplEntityRegistry();
	}

	protected IEntityRegistry createStrictImplEntityRegistry() {
		return new RegExpStrictImplEntityRegistry();
	}

	protected IEntityRegistry createAdaptersEntityRegistry() {
		return new RegExpAdaptersEntityRegistry();
	}

	public ITemplateManager getTemplateManager() {
		return RegExpTemplateManager.instance();
	}
}
