package labss.lang.regexp.visitors;

import labss.lang.regexp.model.*;
import org.whole.lang.visitors.IUnaryVisitor;
import org.whole.lang.visitors.IVisitor;

/** 
 * @generator Whole
 */
public class RegExpTraverseAllSwitchVisitor extends RegExpIdentityVisitor
		implements IUnaryVisitor {
	protected IVisitor visitor1;

	public void wSetVisitor1(IVisitor visitor1) {
		this.visitor1 = visitor1;
	}

	public RegExpTraverseAllSwitchVisitor(IVisitor visitor1) {
		wSetVisitor1(visitor1);
	}

	public void visit(SequenceExp entity) {
		visitor1.visit(entity.getExp1());
		visitor1.visit(entity.getExp2());
	}

	public void visit(AlternationExp entity) {
		visitor1.visit(entity.getAlt1());
		visitor1.visit(entity.getAlt2());
	}

	public void visit(RepetitionExp entity) {
		visitor1.visit(entity.getRepetition());
	}
}
