package labss.lang.il.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.il.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.il.visitors.IILVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.il.reflect.ILEntityDescriptorEnum;
import labss.lang.il.reflect.ILFeatureDescriptorEnum;

/** 
 * @generator Whole
 */
public class EqualsAdapter extends AbstractEntityAdapter implements Equals {
	private static final long serialVersionUID = 1;

	public EqualsAdapter(IEntity implementor) {
		super(implementor);
	}

	public EqualsAdapter() {
	}

	public void accept(IILVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<Equals> wGetEntityDescriptor() {
		return ILEntityDescriptorEnum.Equals;
	}

	public Expression getExp1() {
		return (Expression) wGet(ILFeatureDescriptorEnum.exp1);
	}

	public void setExp1(Expression exp1) {
		wSet(ILFeatureDescriptorEnum.exp1, exp1);
	}

	public Expression getExp2() {
		return (Expression) wGet(ILFeatureDescriptorEnum.exp2);
	}

	public void setExp2(Expression exp2) {
		wSet(ILFeatureDescriptorEnum.exp2, exp2);
	}
}
