package labss.lang.il.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.il.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.il.visitors.IILVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.il.reflect.ILEntityDescriptorEnum;
import labss.lang.il.reflect.ILFeatureDescriptorEnum;

/** 
 * @generator Whole
 */
public class IfStatementAdapter extends AbstractEntityAdapter implements
		IfStatement {
	private static final long serialVersionUID = 1;

	public IfStatementAdapter(IEntity implementor) {
		super(implementor);
	}

	public IfStatementAdapter() {
	}

	public void accept(IILVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<IfStatement> wGetEntityDescriptor() {
		return ILEntityDescriptorEnum.IfStatement;
	}

	public Expression getCondition() {
		return (Expression) wGet(ILFeatureDescriptorEnum.condition);
	}

	public void setCondition(Expression condition) {
		wSet(ILFeatureDescriptorEnum.condition, condition);
	}

	public Statement getTrueBody() {
		return (Statement) wGet(ILFeatureDescriptorEnum.trueBody);
	}

	public void setTrueBody(Statement trueBody) {
		wSet(ILFeatureDescriptorEnum.trueBody, trueBody);
	}
}
