package labss.lang.il.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.il.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.il.visitors.IILVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.il.reflect.ILEntityDescriptorEnum;

/** 
 * @generator Whole
 */
public class LiteralAdapter extends AbstractEntityAdapter implements Literal {
	private static final long serialVersionUID = 1;

	public LiteralAdapter(IEntity implementor) {
		super(implementor);
	}

	public LiteralAdapter() {
	}

	public void accept(IILVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<Literal> wGetEntityDescriptor() {
		return ILEntityDescriptorEnum.Literal;
	}
}
