package labss.lang.il.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.il.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.il.visitors.IILVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.il.reflect.ILEntityDescriptorEnum;
import labss.lang.il.reflect.ILFeatureDescriptorEnum;

/** 
 * @generator Whole
 */
public class WhileStatementAdapter extends AbstractEntityAdapter implements
		WhileStatement {
	private static final long serialVersionUID = 1;

	public WhileStatementAdapter(IEntity implementor) {
		super(implementor);
	}

	public WhileStatementAdapter() {
	}

	public void accept(IILVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<WhileStatement> wGetEntityDescriptor() {
		return ILEntityDescriptorEnum.WhileStatement;
	}

	public Expression getCondition() {
		return (Expression) wGet(ILFeatureDescriptorEnum.condition);
	}

	public void setCondition(Expression condition) {
		wSet(ILFeatureDescriptorEnum.condition, condition);
	}

	public Statement getTrueBody() {
		return (Statement) wGet(ILFeatureDescriptorEnum.trueBody);
	}

	public void setTrueBody(Statement trueBody) {
		wSet(ILFeatureDescriptorEnum.trueBody, trueBody);
	}
}
