package labss.lang.motomondiale.builders;

import org.whole.lang.builders.GenericBuilderContext;
import org.whole.lang.builders.IBuilder;
import org.whole.lang.contexts.IEntityContext;
import labss.lang.motomondiale.reflect.MotoMondialeFeatureDescriptorEnum;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import labss.lang.motomondiale.model.CostruttoreEnum;
import java.util.Date;

/** 
 * @generator Whole
 */
public class MotoMondialeSpecificBuilderAdapter extends GenericBuilderContext
		implements IMotoMondialeBuilder {
	public MotoMondialeSpecificBuilderAdapter(IBuilder strategy) {
		super(strategy);
	}

	public MotoMondialeSpecificBuilderAdapter(IBuilder strategy,
			IEntityContext entityContext) {
		super(strategy, entityContext);
	}

	public void punti() {
		wFeature(MotoMondialeFeatureDescriptorEnum.punti);
	}

	public void classificati() {
		wFeature(MotoMondialeFeatureDescriptorEnum.classificati);
	}

	public void numero() {
		wFeature(MotoMondialeFeatureDescriptorEnum.numero);
	}

	public void pilota2() {
		wFeature(MotoMondialeFeatureDescriptorEnum.pilota2);
	}

	public void pilota1() {
		wFeature(MotoMondialeFeatureDescriptorEnum.pilota1);
	}

	public void costruttore() {
		wFeature(MotoMondialeFeatureDescriptorEnum.costruttore);
	}

	public void giri() {
		wFeature(MotoMondialeFeatureDescriptorEnum.giri);
	}

	public void curveASinistra() {
		wFeature(MotoMondialeFeatureDescriptorEnum.curveASinistra);
	}

	public void curveADestra() {
		wFeature(MotoMondialeFeatureDescriptorEnum.curveADestra);
	}

	public void lunghezzaTracciato() {
		wFeature(MotoMondialeFeatureDescriptorEnum.lunghezzaTracciato);
	}

	public void luogo() {
		wFeature(MotoMondialeFeatureDescriptorEnum.luogo);
	}

	public void nome() {
		wFeature(MotoMondialeFeatureDescriptorEnum.nome);
	}

	public void ordineDArrivo() {
		wFeature(MotoMondialeFeatureDescriptorEnum.ordineDArrivo);
	}

	public void data() {
		wFeature(MotoMondialeFeatureDescriptorEnum.data);
	}

	public void nomeCircuito() {
		wFeature(MotoMondialeFeatureDescriptorEnum.nomeCircuito);
	}

	public void classifiche() {
		wFeature(MotoMondialeFeatureDescriptorEnum.classifiche);
	}

	public void teams() {
		wFeature(MotoMondialeFeatureDescriptorEnum.teams);
	}

	public void circuiti() {
		wFeature(MotoMondialeFeatureDescriptorEnum.circuiti);
	}

	public void calendario() {
		wFeature(MotoMondialeFeatureDescriptorEnum.calendario);
	}

	public void visit() {
	}

	public void MotoMondiale() {
		wEntity(MotoMondialeEntityDescriptorEnum.MotoMondiale);
	}

	public void MotoMondiale_() {
		wEntity_(MotoMondialeEntityDescriptorEnum.MotoMondiale);
	}

	public void _MotoMondiale() {
		_wEntity(MotoMondialeEntityDescriptorEnum.MotoMondiale);
	}

	public void Calendario() {
		wEntity(MotoMondialeEntityDescriptorEnum.Calendario);
	}

	public void Calendario_() {
		wEntity_(MotoMondialeEntityDescriptorEnum.Calendario);
	}

	public void Calendario_(int initialCapacity) {
		wEntity_(MotoMondialeEntityDescriptorEnum.Calendario, initialCapacity);
	}

	public void _Calendario() {
		_wEntity(MotoMondialeEntityDescriptorEnum.Calendario);
	}

	public void Gara() {
		wEntity(MotoMondialeEntityDescriptorEnum.Gara);
	}

	public void Gara_() {
		wEntity_(MotoMondialeEntityDescriptorEnum.Gara);
	}

	public void _Gara() {
		_wEntity(MotoMondialeEntityDescriptorEnum.Gara);
	}

	public void OrdineDArrivo() {
		wEntity(MotoMondialeEntityDescriptorEnum.OrdineDArrivo);
	}

	public void OrdineDArrivo_() {
		wEntity_(MotoMondialeEntityDescriptorEnum.OrdineDArrivo);
	}

	public void OrdineDArrivo_(int initialCapacity) {
		wEntity_(MotoMondialeEntityDescriptorEnum.OrdineDArrivo,
				initialCapacity);
	}

	public void _OrdineDArrivo() {
		_wEntity(MotoMondialeEntityDescriptorEnum.OrdineDArrivo);
	}

	public void Circuiti() {
		wEntity(MotoMondialeEntityDescriptorEnum.Circuiti);
	}

	public void Circuiti_() {
		wEntity_(MotoMondialeEntityDescriptorEnum.Circuiti);
	}

	public void Circuiti_(int initialCapacity) {
		wEntity_(MotoMondialeEntityDescriptorEnum.Circuiti, initialCapacity);
	}

	public void _Circuiti() {
		_wEntity(MotoMondialeEntityDescriptorEnum.Circuiti);
	}

	public void Circuito() {
		wEntity(MotoMondialeEntityDescriptorEnum.Circuito);
	}

	public void Circuito_() {
		wEntity_(MotoMondialeEntityDescriptorEnum.Circuito);
	}

	public void _Circuito() {
		_wEntity(MotoMondialeEntityDescriptorEnum.Circuito);
	}

	public void Teams() {
		wEntity(MotoMondialeEntityDescriptorEnum.Teams);
	}

	public void Teams_() {
		wEntity_(MotoMondialeEntityDescriptorEnum.Teams);
	}

	public void Teams_(int initialCapacity) {
		wEntity_(MotoMondialeEntityDescriptorEnum.Teams, initialCapacity);
	}

	public void _Teams() {
		_wEntity(MotoMondialeEntityDescriptorEnum.Teams);
	}

	public void Team() {
		wEntity(MotoMondialeEntityDescriptorEnum.Team);
	}

	public void Team_() {
		wEntity_(MotoMondialeEntityDescriptorEnum.Team);
	}

	public void _Team() {
		_wEntity(MotoMondialeEntityDescriptorEnum.Team);
	}

	public void Pilota() {
		wEntity(MotoMondialeEntityDescriptorEnum.Pilota);
	}

	public void Pilota_() {
		wEntity_(MotoMondialeEntityDescriptorEnum.Pilota);
	}

	public void _Pilota() {
		_wEntity(MotoMondialeEntityDescriptorEnum.Pilota);
	}

	public void Costruttore() {
		wEntity(MotoMondialeEntityDescriptorEnum.Costruttore);
	}

	public void Costruttore(CostruttoreEnum.Value value) {
		wEntity(MotoMondialeEntityDescriptorEnum.Costruttore, value);
	}

	public void Costruttore(String value) {
		wEntity(MotoMondialeEntityDescriptorEnum.Costruttore, value);
	}

	public void Classifiche() {
		wEntity(MotoMondialeEntityDescriptorEnum.Classifiche);
	}

	public void Classifiche_() {
		wEntity_(MotoMondialeEntityDescriptorEnum.Classifiche);
	}

	public void Classifiche_(int initialCapacity) {
		wEntity_(MotoMondialeEntityDescriptorEnum.Classifiche, initialCapacity);
	}

	public void _Classifiche() {
		_wEntity(MotoMondialeEntityDescriptorEnum.Classifiche);
	}

	public void Classifica() {
		wEntity(MotoMondialeEntityDescriptorEnum.Classifica);
	}

	public void Classifica_() {
		wEntity_(MotoMondialeEntityDescriptorEnum.Classifica);
	}

	public void _Classifica() {
		_wEntity(MotoMondialeEntityDescriptorEnum.Classifica);
	}

	public void Classificati() {
		wEntity(MotoMondialeEntityDescriptorEnum.Classificati);
	}

	public void Classificati_() {
		wEntity_(MotoMondialeEntityDescriptorEnum.Classificati);
	}

	public void Classificati_(int initialCapacity) {
		wEntity_(MotoMondialeEntityDescriptorEnum.Classificati, initialCapacity);
	}

	public void _Classificati() {
		_wEntity(MotoMondialeEntityDescriptorEnum.Classificati);
	}

	public void Classificato() {
		wEntity(MotoMondialeEntityDescriptorEnum.Classificato);
	}

	public void Classificato_() {
		wEntity_(MotoMondialeEntityDescriptorEnum.Classificato);
	}

	public void _Classificato() {
		_wEntity(MotoMondialeEntityDescriptorEnum.Classificato);
	}

	public void Nome() {
		wEntity(MotoMondialeEntityDescriptorEnum.Nome);
	}

	public void Nome(String value) {
		wEntity(MotoMondialeEntityDescriptorEnum.Nome, value);
	}

	public void Numero() {
		wEntity(MotoMondialeEntityDescriptorEnum.Numero);
	}

	public void Numero(int value) {
		wEntity(MotoMondialeEntityDescriptorEnum.Numero, value);
	}

	public void Data() {
		wEntity(MotoMondialeEntityDescriptorEnum.Data);
	}

	public void Data(Date value) {
		wEntity(MotoMondialeEntityDescriptorEnum.Data, value);
	}

	public void Data(String value) {
		wEntity(MotoMondialeEntityDescriptorEnum.Data, value);
	}
}
