package labss.lang.motomondiale.reflect;

import org.whole.lang.reflect.*;
import labss.lang.motomondiale.model.*;
import java.util.EnumSet;

/** 
 * @generator Whole
 */
@SuppressWarnings("unchecked")
public class MotoMondialeEntityDescriptorEnum extends EntityDescriptorEnum {
	public static final int MotoMondiale_ord = 0;
	public static final int Calendario_ord = 1;
	public static final int Gara_ord = 2;
	public static final int OrdineDArrivo_ord = 3;
	public static final int Circuiti_ord = 4;
	public static final int Circuito_ord = 5;
	public static final int Teams_ord = 6;
	public static final int Team_ord = 7;
	public static final int Pilota_ord = 8;
	public static final int Costruttore_ord = 9;
	public static final int Classifiche_ord = 10;
	public static final int Classifica_ord = 11;
	public static final int Classificati_ord = 12;
	public static final int Classificato_ord = 13;
	public static final int Nome_ord = 14;
	public static final int Numero_ord = 15;
	public static final int Data_ord = 16;
	public static final MotoMondialeEntityDescriptorEnum instance = new MotoMondialeEntityDescriptorEnum();
	public static final EntityDescriptor<MotoMondiale> MotoMondiale = (EntityDescriptor<MotoMondiale>) instance
			.valueOf(MotoMondiale_ord);
	public static final EntityDescriptor<Calendario> Calendario = (EntityDescriptor<Calendario>) instance
			.valueOf(Calendario_ord);
	public static final EntityDescriptor<Gara> Gara = (EntityDescriptor<Gara>) instance
			.valueOf(Gara_ord);
	public static final EntityDescriptor<OrdineDArrivo> OrdineDArrivo = (EntityDescriptor<OrdineDArrivo>) instance
			.valueOf(OrdineDArrivo_ord);
	public static final EntityDescriptor<Circuiti> Circuiti = (EntityDescriptor<Circuiti>) instance
			.valueOf(Circuiti_ord);
	public static final EntityDescriptor<Circuito> Circuito = (EntityDescriptor<Circuito>) instance
			.valueOf(Circuito_ord);
	public static final EntityDescriptor<Teams> Teams = (EntityDescriptor<Teams>) instance
			.valueOf(Teams_ord);
	public static final EntityDescriptor<Team> Team = (EntityDescriptor<Team>) instance
			.valueOf(Team_ord);
	public static final EntityDescriptor<Pilota> Pilota = (EntityDescriptor<Pilota>) instance
			.valueOf(Pilota_ord);
	public static final EntityDescriptor<Costruttore> Costruttore = (EntityDescriptor<Costruttore>) instance
			.valueOf(Costruttore_ord);
	public static final EntityDescriptor<Classifiche> Classifiche = (EntityDescriptor<Classifiche>) instance
			.valueOf(Classifiche_ord);
	public static final EntityDescriptor<Classifica> Classifica = (EntityDescriptor<Classifica>) instance
			.valueOf(Classifica_ord);
	public static final EntityDescriptor<Classificati> Classificati = (EntityDescriptor<Classificati>) instance
			.valueOf(Classificati_ord);
	public static final EntityDescriptor<Classificato> Classificato = (EntityDescriptor<Classificato>) instance
			.valueOf(Classificato_ord);
	public static final EntityDescriptor<Nome> Nome = (EntityDescriptor<Nome>) instance
			.valueOf(Nome_ord);
	public static final EntityDescriptor<Numero> Numero = (EntityDescriptor<Numero>) instance
			.valueOf(Numero_ord);
	public static final EntityDescriptor<Data> Data = (EntityDescriptor<Data>) instance
			.valueOf(Data_ord);

	private MotoMondialeEntityDescriptorEnum() {
		putSimpleEntityDescriptor(MotoMondiale_ord, "MotoMondiale",
				MotoMondiale.class, EnumSet.noneOf(EntityModifiers.class),
				new int[] { MotoMondiale_ord }, new FeatureDescriptor[] {
						MotoMondialeFeatureDescriptorEnum.calendario,
						MotoMondialeFeatureDescriptorEnum.circuiti,
						MotoMondialeFeatureDescriptorEnum.teams,
						MotoMondialeFeatureDescriptorEnum.classifiche },
				new int[] { Calendario_ord, Circuiti_ord, Teams_ord,
						Classifiche_ord }, new Class[] { Calendario.class,
						Circuiti.class, Teams.class, Classifiche.class },
				new EnumSet[] { EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putCompositeEntityDescriptor(Calendario_ord, "Calendario",
				Calendario.class, EnumSet.noneOf(EntityModifiers.class),
				Gara_ord, Gara.class, EnumSet.of(CompositeModifiers.ORDERED));
		putSimpleEntityDescriptor(Gara_ord, "Gara", Gara.class, EnumSet
				.noneOf(EntityModifiers.class), new int[] { Gara_ord },
				new FeatureDescriptor[] {
						MotoMondialeFeatureDescriptorEnum.nomeCircuito,
						MotoMondialeFeatureDescriptorEnum.data,
						MotoMondialeFeatureDescriptorEnum.ordineDArrivo },
				new int[] { Nome_ord, Data_ord, OrdineDArrivo_ord },
				new Class[] { Nome.class, Data.class, OrdineDArrivo.class },
				new EnumSet[] { EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putCompositeEntityDescriptor(OrdineDArrivo_ord, "OrdineDArrivo",
				OrdineDArrivo.class, EnumSet.noneOf(EntityModifiers.class),
				Nome_ord, Nome.class, EnumSet.of(CompositeModifiers.ORDERED));
		putCompositeEntityDescriptor(Circuiti_ord, "Circuiti", Circuiti.class,
				EnumSet.noneOf(EntityModifiers.class), Circuito_ord,
				Circuito.class, EnumSet.noneOf(CompositeModifiers.class));
		putSimpleEntityDescriptor(Circuito_ord, "Circuito", Circuito.class,
				EnumSet.noneOf(EntityModifiers.class),
				new int[] { Circuito_ord }, new FeatureDescriptor[] {
						MotoMondialeFeatureDescriptorEnum.nome,
						MotoMondialeFeatureDescriptorEnum.luogo,
						MotoMondialeFeatureDescriptorEnum.lunghezzaTracciato,
						MotoMondialeFeatureDescriptorEnum.curveADestra,
						MotoMondialeFeatureDescriptorEnum.curveASinistra,
						MotoMondialeFeatureDescriptorEnum.giri }, new int[] {
						Nome_ord, Nome_ord, Numero_ord, Numero_ord, Numero_ord,
						Numero_ord },
				new Class[] { Nome.class, Nome.class, Numero.class,
						Numero.class, Numero.class, Numero.class },
				new EnumSet[] { EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putCompositeEntityDescriptor(Teams_ord, "Teams", Teams.class, EnumSet
				.noneOf(EntityModifiers.class), Team_ord, Team.class, EnumSet
				.noneOf(CompositeModifiers.class));
		putSimpleEntityDescriptor(Team_ord, "Team", Team.class, EnumSet
				.noneOf(EntityModifiers.class), new int[] { Team_ord },
				new FeatureDescriptor[] {
						MotoMondialeFeatureDescriptorEnum.nome,
						MotoMondialeFeatureDescriptorEnum.costruttore,
						MotoMondialeFeatureDescriptorEnum.pilota1,
						MotoMondialeFeatureDescriptorEnum.pilota2 }, new int[] {
						Nome_ord, Costruttore_ord, Pilota_ord, Pilota_ord },
				new Class[] { Nome.class, Costruttore.class, Pilota.class,
						Pilota.class }, new EnumSet[] {
						EnumSet.of(FeatureModifiers.ID),
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.of(FeatureModifiers.OPTIONAL) });
		putSimpleEntityDescriptor(Pilota_ord, "Pilota", Pilota.class, EnumSet
				.noneOf(EntityModifiers.class), new int[] { Pilota_ord },
				new FeatureDescriptor[] {
						MotoMondialeFeatureDescriptorEnum.nome,
						MotoMondialeFeatureDescriptorEnum.numero }, new int[] {
						Nome_ord, Numero_ord }, new Class[] { Nome.class,
						Numero.class }, new EnumSet[] {
						EnumSet.of(FeatureModifiers.ID),
						EnumSet.noneOf(FeatureModifiers.class) });
		putDataEntityDescriptor(Costruttore_ord, "Costruttore",
				Costruttore.class, EnumSet.noneOf(EntityModifiers.class),
				CostruttoreEnum.Value.class);
		putCompositeEntityDescriptor(Classifiche_ord, "Classifiche",
				Classifiche.class, EnumSet.noneOf(EntityModifiers.class),
				Classifica_ord, Classifica.class, EnumSet
						.of(CompositeModifiers.ORDERED));
		putSimpleEntityDescriptor(Classifica_ord, "Classifica",
				Classifica.class, EnumSet.noneOf(EntityModifiers.class),
				new int[] { Classifica_ord }, new FeatureDescriptor[] {
						MotoMondialeFeatureDescriptorEnum.nome,
						MotoMondialeFeatureDescriptorEnum.classificati },
				new int[] { Nome_ord, Classificati_ord }, new Class[] {
						Nome.class, Classificati.class }, new EnumSet[] {
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putCompositeEntityDescriptor(Classificati_ord, "Classificati",
				Classificati.class, EnumSet.noneOf(EntityModifiers.class),
				Classificato_ord, Classificato.class, EnumSet
						.of(CompositeModifiers.ORDERED));
		putSimpleEntityDescriptor(Classificato_ord, "Classificato",
				Classificato.class, EnumSet.noneOf(EntityModifiers.class),
				new int[] { Classificato_ord }, new FeatureDescriptor[] {
						MotoMondialeFeatureDescriptorEnum.nome,
						MotoMondialeFeatureDescriptorEnum.punti }, new int[] {
						Nome_ord, Numero_ord }, new Class[] { Nome.class,
						Numero.class }, new EnumSet[] {
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putDataEntityDescriptor(Nome_ord, "Nome", Nome.class, EnumSet
				.noneOf(EntityModifiers.class), String.class);
		putDataEntityDescriptor(Numero_ord, "Numero", Numero.class, EnumSet
				.noneOf(EntityModifiers.class), int.class);
		putDataEntityDescriptor(Data_ord, "Data", Data.class, EnumSet
				.noneOf(EntityModifiers.class), java.util.Date.class);
	}

	private static final long serialVersionUID = 1;
}
